part of init;

//assets
final _assetsFolder = Directory('./assets');
final _imagesFolder = _getDir('images', _assetsFolder);
final _langFolder = _getDir('lang', _assetsFolder);
final _arFile = _getFile('ar.json', _langFolder);
final _enFile = _getFile('en.json', _langFolder);
//src
final _srcFolder = Directory('./lib/src');
//commons
final _commonFolder = _getDir('common', _srcFolder);
//screens
final _screenFolder = _getDir('screen', _srcFolder);
//repositories
final _repositoryFolder = _getDir('repository', _srcFolder);
//widgets
final _widgetFolder = _getDir('widget', _srcFolder);
//services
final _serviceFolder = _getDir('service', _srcFolder);
//models
final _modelFolder = _getDir('model', _srcFolder);
//providers
final _providerFolder = _getDir('provider', _srcFolder);
//analysis options
final _analysisOptionsFile = File('./analysis_options.yaml');
//yaml
final _yamlFile = File('./pubspec.yaml');
//main
final _mainFile = File('./lib/main.dart');

Directory _getDir(String name, Directory parent) {
  return Directory('${parent.path}${'/$name'}');
}

File _getFile(String name, Directory parent) {
  return File('${parent.path}${'/$name'}');
}
